Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4834/?format=api
{ "ob_id": 4834, "uuid": "2ab4c4ac60df79af38d7239057a6eb39", "title": "Convective Storm Initiation Project (CSIP): Mesoscale Rainfall Forecast Data over UK and Northern Europe", "abstract": "The mesoscale forecast data are of tephigrams which show the temperature at given pressures in the atmosphere. The dataset also contains maps of wind convergence and total rainfall over the UK and northern Europe. The data were collected from observation stations in the UK, Belgium, and France on the 7th of July 2004.\r\n\r\nTemperature and dew point data from radiosondes are plotted on these diagrams to allow calculations of convective stability or convective available potential energy (CAPE)\r\n\r\nWind barbs are plotted to indicate the winds at heights of 10 metres and at 900 hectopascals.\r\n\r\nPlots are also available of total rainfall.", "keywords": "CSIP, rainfall, model, forecast", "publicationState": "published", "dataPublishedTime": "2006-08-17T13:57:45", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4835/?format=api", "dataPath": "/badc/csip/data/mesoscale-forecast", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 9888715811, "numberOfFiles": 66622, "fileFormat": "Data are tar and gzipped formatted " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3762/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/86/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected by the collected by the instrument scientist before preparation and delivery to the Convective Storm Initiation Project (CSIP) participants and then to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3230/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4614/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21956/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21957/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21958/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21959/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21961/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41651/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41654/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21955/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75351/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4841/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }